## org.apache.batik.bridge.svg12
Class DefaultXBLManager.ImportSubtreeListener

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.ImportSubtreeListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.ImportSubtreeListener

extends java.lang.Object
implements EventListener

DOM subtree listener for imported XBL trees.

Field Summary
`protected org.w3c.dom.Element` `importElement` The import element.
`protected DefaultXBLManager.ImportRemovedListener` `importRemovedListener` The ImportedRemovedListener to check for to-be-removed definitions.

Constructor Summary
`DefaultXBLManager.ImportSubtreeListener(org.w3c.dom.Element imp, DefaultXBLManager.ImportRemovedListener irl)` Creates a new ImportSubtreeListener.

Method Summary
`void` `handleEvent(Event evt)` Handles the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### importElement

    protected org.w3c.dom.Element importElement

  The import element.

### importRemovedListener

    protected DefaultXBLManager.ImportRemovedListener importRemovedListener

  The ImportedRemovedListener to check for to-be-removed definitions.

Constructor Detail

### DefaultXBLManager.ImportSubtreeListener

    public DefaultXBLManager.ImportSubtreeListener(org.w3c.dom.Element imp,
                                                   DefaultXBLManager.ImportRemovedListener irl)

  Creates a new ImportSubtreeListener.

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Handles the event.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.